Bug 751673 - [RFE] Allow Project Maintainers to edit all language files
[RFE] Allow Project Maintainers to edit all language files
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: ---
: 1.6-alpha-1
Assigned To: Carlos Munoz
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 00:47 EST by Runa Bhattacharjee
Modified: 2013-03-03 22:19 EST (History)
9 users (show)

See Also:
Fixed In Version: Zanata version 1.6-SNAPSHOT (20120329-0000).
Doc Type: Bug Fix
Doc Text:
Cause In order to edit the translations for a language, a user must be a member of that language group in Zanata. Consequence Project owners were unable to edit the translations in their own project, unless they became a member of all language groups for which they had translations. This made applying an update to all translations in a project difficult. Change Project owners were given the ability to see and edit all language translations in their projects. Result Project owners are now able to edit all language translations in their project without joining multiple language groups.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Runa Bhattacharjee 2011-11-07 00:47:47 EST
Description of problem:

This is a feature request for project maintainers to have additional access that'll allow them to edit all the translation files within the projects that they maintain.


Additional info:

This is particularly helpful when a discretionary mass edit on all the translated files is required to fix issues identified by the developers/maintainers.
Comment 1 Parag Nemade 2011-11-23 02:46:37 EST
Thanks for this bug report. I am too interested in this RFE.
Comment 2 Parag Nemade 2011-11-24 04:35:46 EST
This is really bad that zanata is now allowing me to see my own project's po files.
Comment 3 Parag Nemade 2011-11-24 04:45:20 EST
I mean to say s/now/not allowing...
Comment 4 Parag Nemade 2011-11-25 03:30:35 EST
Ok something got changed in my account and now I can see translate click. That showed me strings to be translated but that is not what I need. I need complete po file for all the languages of my project where I can see header information for that po file. e.g. encoding, pot revision date, translator info.

please make that available in zanata.
Comment 5 Pravin Satpute 2011-11-30 02:25:11 EST
Me too facing this problem
Presently fixing encoding issues with pushed translations but each after pushing files need to ask LM, is it proper or not?

So need options to see/view translations file
Comment 6 Carlos Munoz 2012-03-14 02:35:52 EDT
Added permissions for project maintainers to edit translations on any language for their projects. To edit any of their language, a project maintainer should go to the "Statistics" page of the project iteration. The language names on this page are now links to open the editor.

This also resolves US106 - https://community.rallydev.com/#/3926933431d/detail/userstory/5155047292
Any authenticated user will be able to see translations (editor opens in Read-only mode) for any language on any project. Same directions above apply.
Comment 7 Carlos Munoz 2012-03-28 23:50:52 EDT
This has changed for the latest build of 1.6-SNAPSHOT. There is a new "version" page where a user will have the option to begin translating for their assigned language teams. There is also a checkbox that will allow any authenticated user to view all language teams and open the translation editor in Read-only mode for the unassigned language teams.
Comment 8 Joyce Chang 2012-03-28 23:53:55 EDT
verified in Zanata version 1.6-SNAPSHOT (20120329-0000).
Comment 9 Bryan Kearney 2012-03-29 08:11:32 EDT
So.. to check comment 7. I am the admin for https://translate.zanata.org/zanata/project/view/subscription-manager. I would expect to be able to go to that page and edit any language for my project, without being in the translation team for that language. Is that correct?
Comment 10 Runa Bhattacharjee 2012-03-29 09:05:43 EDT
(In reply to comment #9)
> So.. to check comment 7. I am the admin for
> https://translate.zanata.org/zanata/project/view/subscription-manager. I would
> expect to be able to go to that page and edit any language for my project,
> without being in the translation team for that language. Is that correct?

Yep that's right. However, you won't be able to use for the packages hosted on translate.zanata.org yet.
Comment 11 Joshua Wulf 2012-04-20 02:19:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
In order to edit the translations for a language, a user must be a member of that language group in Zanata.

Consequence
Project owners were unable to edit the translations in their own project, unless they became a member of all language groups for which they had translations. This made applying an update to all translations in a project difficult.

Change
Project owners were given the ability to see and edit all language translations in their projects.

Result
Project owners are now able to edit all language translations in their project without joining multiple language groups.

Note You need to log in before you can comment on or make changes to this bug.